RailzwayDocs
API referenceFare API v1

Rating

GET
/v1/customers/{customer}/usage

Path Parameters

customer*string

Query Parameters

period.startTime*string
Formatdate-time
period.endTime*string
Formatdate-time
meters?array<string>

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/customers/string/usage?period.startTime=2019-08-24T14%3A15%3A22Z&period.endTime=2019-08-24T14%3A15%3A22Z"
{  "usage": [    {      "dimensions": {        "property1": "string",        "property2": "string"      },      "meter": "string",      "quantity": {        "value": "string"      }    }  ]}
POST
/v1/customers/{customer}/charges:preview

Path Parameters

customer*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/customers/string/charges:preview" \  -H "Content-Type: application/json" \  -d '{    "period": {      "endTime": "2019-08-24T14:15:22Z",      "startTime": "2019-08-24T14:15:22Z"    }  }'
{  "asOfTime": "2019-08-24T14:15:22Z",  "charges": [    {      "credit": {        "amount": {          "value": "string"        },        "currencyCode": "string"      },      "dimensions": {        "property1": "string",        "property2": "string"      },      "net": {        "amount": {          "value": "string"        },        "currencyCode": "string"      },      "product": "string",      "quantity": {        "value": "string"      },      "rateId": "string",      "subtotal": {        "amount": {          "value": "string"        },        "currencyCode": "string"      }    }  ],  "total": {    "amount": {      "value": "string"    },    "currencyCode": "string"  }}